diff --git a/drivers/staging/media/av7110/sp8870.c b/drivers/staging/media/av7110/sp8870.c
index 2c30582191d4..1f6c02744b6c 100644
--- a/drivers/staging/media/av7110/sp8870.c
+++ b/drivers/staging/media/av7110/sp8870.c
@@ -50,21 +50,21 @@ static int debug;
 /* starting point for firmware in file 'Sc_main.mc' */
 #define SP8870_FIRMWARE_OFFSET 0x0A
 
-static int sp8870_writereg (struct sp8870_state* state, u16 reg, u16 data)
+static int sp8870_writereg(struct sp8870_state* state, u16 reg, u16 data)
 {
 	u8 buf [] = { reg >> 8, reg & 0xff, data >> 8, data & 0xff };
 	struct i2c_msg msg = { .addr = state->config->demod_address, .flags = 0, .buf = buf, .len = 4 };
 	int err;
 
-	if ((err = i2c_transfer (state->i2c, &msg, 1)) != 1) {
-		dprintk ("%s: writereg error (err == %i, reg == 0x%02x, data == 0x%02x)\n", __func__, err, reg, data);
+	if ((err = i2c_transfer(state->i2c, &msg, 1)) != 1) {
+		dprintk("%s: writereg error (err == %i, reg == 0x%02x, data == 0x%02x)\n", __func__, err, reg, data);
 		return -EREMOTEIO;
 	}
 
 	return 0;
 }
 
-static int sp8870_readreg (struct sp8870_state* state, u16 reg)
+static int sp8870_readreg(struct sp8870_state* state, u16 reg)
 {
 	int ret;
 	u8 b0 [] = { reg >> 8 , reg & 0xff };
@@ -72,7 +72,7 @@ static int sp8870_readreg (struct sp8870_state* state, u16 reg)
 	struct i2c_msg msg [] = { { .addr = state->config->demod_address, .flags = 0, .buf = b0, .len = 2 },
 			   { .addr = state->config->demod_address, .flags = I2C_M_RD, .buf = b1, .len = 2 } };
 
-	ret = i2c_transfer (state->i2c, msg, 2);
+	ret = i2c_transfer(state->i2c, msg, 2);
 
 	if (ret != 2) {
 		dprintk("%s: readreg error (ret == %i)\n", __func__, ret);
@@ -82,7 +82,7 @@ static int sp8870_readreg (struct sp8870_state* state, u16 reg)
 	return (b1[0] << 8 | b1[1]);
 }
 
-static int sp8870_firmware_upload (struct sp8870_state* state, const struct firmware *fw)
+static int sp8870_firmware_upload(struct sp8870_state* state, const struct firmware *fw)
 {
 	struct i2c_msg msg;
 	const char *fw_buf = fw->data;
@@ -91,7 +91,7 @@ static int sp8870_firmware_upload (struct sp8870_state* state, const struct firm
 	int tx_len;
 	int err = 0;
 
-	dprintk ("%s: ...\n", __func__);
+	dprintk("%s: ...\n", __func__);
 
 	if (fw->size < SP8870_FIRMWARE_SIZE + SP8870_FIRMWARE_OFFSET)
 		return -EINVAL;
@@ -117,19 +117,19 @@ static int sp8870_firmware_upload (struct sp8870_state* state, const struct firm
 		msg.flags = 0;
 		msg.buf = tx_buf;
 		msg.len = tx_len + 2;
-		if ((err = i2c_transfer (state->i2c, &msg, 1)) != 1) {
+		if ((err = i2c_transfer(state->i2c, &msg, 1)) != 1) {
 			printk("%s: firmware upload failed!\n", __func__);
-			printk ("%s: i2c error (err == %i)\n", __func__, err);
+			printk("%s: i2c error (err == %i)\n", __func__, err);
 			return err;
 		}
 		fw_pos += tx_len;
 	}
 
-	dprintk ("%s: done!\n", __func__);
+	dprintk("%s: done!\n", __func__);
 	return 0;
 };
 
-static void sp8870_microcontroller_stop (struct sp8870_state* state)
+static void sp8870_microcontroller_stop(struct sp8870_state* state)
 {
 	sp8870_writereg(state, 0x0F08, 0x000);
 	sp8870_writereg(state, 0x0F09, 0x000);
@@ -138,7 +138,7 @@ static void sp8870_microcontroller_stop (struct sp8870_state* state)
 	sp8870_writereg(state, 0x0F00, 0x000);
 }
 
-static void sp8870_microcontroller_start (struct sp8870_state* state)
+static void sp8870_microcontroller_start(struct sp8870_state* state)
 {
 	sp8870_writereg(state, 0x0F08, 0x000);
 	sp8870_writereg(state, 0x0F09, 0x000);
@@ -155,7 +155,7 @@ static int sp8870_read_data_valid_signal(struct sp8870_state* state)
 	return (sp8870_readreg(state, 0x0D02) > 0);
 }
 
-static int configure_reg0xc05 (struct dtv_frontend_properties *p, u16 *reg0xc05)
+static int configure_reg0xc05(struct dtv_frontend_properties *p, u16 *reg0xc05)
 {
 	int known_parameters = 1;
 
@@ -291,7 +291,7 @@ static int sp8870_set_frontend_parameters(struct dvb_frontend *fe)
 	return 0;
 }
 
-static int sp8870_init (struct dvb_frontend* fe)
+static int sp8870_init(struct dvb_frontend* fe)
 {
 	struct sp8870_state* state = fe->demodulator_priv;
 	const struct firmware *fw = NULL;
@@ -301,7 +301,7 @@ static int sp8870_init (struct dvb_frontend* fe)
 		return 0;
 	state->initialised = 1;
 
-	dprintk ("%s\n", __func__);
+	dprintk("%s\n", __func__);
 
 
 	/* request the firmware, this will block until someone uploads it */
@@ -350,11 +350,11 @@ static int sp8870_read_status(struct dvb_frontend *fe,
 
 	*fe_status = 0;
 
-	status = sp8870_readreg (state, 0x0200);
+	status = sp8870_readreg(state, 0x0200);
 	if (status < 0)
 		return -EIO;
 
-	signal = sp8870_readreg (state, 0x0303);
+	signal = sp8870_readreg(state, 0x0303);
 	if (signal < 0)
 		return -EIO;
 
@@ -368,7 +368,7 @@ static int sp8870_read_status(struct dvb_frontend *fe,
 	return 0;
 }
 
-static int sp8870_read_ber (struct dvb_frontend* fe, u32 * ber)
+static int sp8870_read_ber(struct dvb_frontend* fe, u32 * ber)
 {
 	struct sp8870_state* state = fe->demodulator_priv;
 	int ret;
@@ -403,13 +403,13 @@ static int sp8870_read_signal_strength(struct dvb_frontend* fe,  u16 * signal)
 
 	*signal = 0;
 
-	ret = sp8870_readreg (state, 0x306);
+	ret = sp8870_readreg(state, 0x306);
 	if (ret < 0)
 		return -EIO;
 
 	tmp = ret << 8;
 
-	ret = sp8870_readreg (state, 0x303);
+	ret = sp8870_readreg(state, 0x303);
 	if (ret < 0)
 		return -EIO;
 
@@ -421,7 +421,7 @@ static int sp8870_read_signal_strength(struct dvb_frontend* fe,  u16 * signal)
 	return 0;
 }
 
-static int sp8870_read_uncorrected_blocks (struct dvb_frontend* fe, u32* ublocks)
+static int sp8870_read_uncorrected_blocks(struct dvb_frontend* fe, u32* ublocks)
 {
 	struct sp8870_state* state = fe->demodulator_priv;
 	int ret;