diff --git a/drivers/staging/media/av7110/av7110.c b/drivers/staging/media/av7110/av7110.c
index 557f42352..8a4e7bd82 100644
--- a/drivers/staging/media/av7110/av7110.c
+++ b/drivers/staging/media/av7110/av7110.c
@@ -161,13 +161,11 @@ static void init_av7110_av(struct av7110 *av7110)
 		 */
 	} else if (0 == av7110_init_analog_module(av7110)) {
 		/* done. */
-	}
-	else if (dev->pci->subsystem_vendor == 0x110a) {
+	} else if (dev->pci->subsystem_vendor == 0x110a) {
 		printk("dvb-ttpci: DVB-C w/o analog module @ card %d detected\n",
 			av7110->dvb_adapter.num);
 		av7110->adac_type = DVB_ADAC_NONE;
-	}
-	else {
+	} else {
 		av7110->adac_type = adac;
 		printk("dvb-ttpci: adac type set to %d @ card %d\n",
 			av7110->adac_type, av7110->dvb_adapter.num);
@@ -504,8 +502,7 @@ static void gpioirq(struct tasklet_struct *t)
 		event.type = VIDEO_EVENT_SIZE_CHANGED;
 		event.u.size.w = av7110->video_size.w;
 		event.u.size.h = av7110->video_size.h;
-		switch ((h_ar >> 12) & 0xf)
-		{
+		switch ((h_ar >> 12) & 0xf) {
 		case 3:
 			av7110->video_size.aspect_ratio = VIDEO_FORMAT_16_9;
 			event.u.size.aspect_ratio = VIDEO_FORMAT_16_9;
@@ -576,8 +573,8 @@ static void gpioirq(struct tasklet_struct *t)
 			len = av7110_pes_play(av7110->debi_virt, &av7110->aout, 2048);
 			spin_unlock(&av7110->aout.lock);
 		}
-		if (len <= 0 && (av7110->debitype & 0x200)
-		    &&av7110->videostate.play_state != VIDEO_FREEZED) {
+		if (len <= 0 && (av7110->debitype & 0x200) &&
+		    av7110->videostate.play_state != VIDEO_FREEZED) {
 			spin_lock(&av7110->avout.lock);
 			len = av7110_pes_play(av7110->debi_virt, &av7110->avout, 2048);
 			spin_unlock(&av7110->avout.lock);
@@ -874,8 +871,7 @@ static int dvb_feed_start_pid(struct dvb_demux_feed *dvbdmxfeed)
 	}

 	if (dvbdmxfeed->pes_type < 2 && npids[0])
-		if (av7110->fe_synced)
-		{
+		if (av7110->fe_synced) {
 			ret = av7110_fw_cmd(av7110, COMTYPE_PIDFILTER, Scan, 0);
 			if (ret)
 				return ret;
@@ -1823,7 +1819,8 @@ static int nexusca_stv0297_tuner_set_params(struct dvb_frontend *fe)
 		if (fe->ops.i2c_gate_ctrl)
 			fe->ops.i2c_gate_ctrl(fe, 1);
 		if (i2c_transfer(&av7110->i2c_adap, &readmsg, 1) == 1)
-			if (data[0] & 0x40) break;
+			if (data[0] & 0x40)
+				break;
 		msleep(10);
 	}

@@ -1875,7 +1872,8 @@ static int grundig_29504_401_tuner_set_params(struct dvb_frontend *fe)

 	if (fe->ops.i2c_gate_ctrl)
 		fe->ops.i2c_gate_ctrl(fe, 1);
-	if (i2c_transfer (&av7110->i2c_adap, &msg, 1) != 1) return -EIO;
+	if (i2c_transfer(&av7110->i2c_adap, &msg, 1) != 1)
+		return -EIO;
 	return 0;
 }

diff --git a/drivers/staging/media/av7110/av7110_av.c b/drivers/staging/media/av7110/av7110_av.c
index 0b384e832..56fa1f180 100644
--- a/drivers/staging/media/av7110/av7110_av.c
+++ b/drivers/staging/media/av7110/av7110_av.c
@@ -1043,13 +1043,16 @@ static int play_iframe(struct av7110 *av7110, char __user *buf, unsigned int len
 			continue;
 		}
 		switch (match++) {
-		case 2: if (c == 0x01)
+		case 2:
+			if (c == 0x01)
 				continue;
 			break;
-		case 3: if (c == 0xb5)
+		case 3:
+			if (c == 0xb5)
 				continue;
 			break;
-		case 4: if ((c & 0xf0) == 0x10)
+		case 4:
+			if ((c & 0xf0) == 0x10)
 				continue;
 			break;
 		}
diff --git a/drivers/staging/media/av7110/av7110_hw.c b/drivers/staging/media/av7110/av7110_hw.c
index d7439c522..d3aa524f6 100644
--- a/drivers/staging/media/av7110/av7110_hw.c
+++ b/drivers/staging/media/av7110/av7110_hw.c
@@ -440,8 +440,7 @@ static int __av7110_send_fw_cmd(struct av7110 *av7110, u16 *buf, int length)
 	if (stat & GPMQOver) {
 		printk(KERN_ERR "dvb-ttpci: %s(): GPMQOver\n", __func__);
 		return -ENOSPC;
-	}
-	else if (stat & OSDQOver) {
+	} else if (stat & OSDQOver) {
 		printk(KERN_ERR "dvb-ttpci: %s(): OSDQOver\n", __func__);
 		return -ENOSPC;
 	}
@@ -511,8 +510,7 @@ int av7110_send_ci_cmd(struct av7110 *av7110, u8 subcom, u8 *buf, u8 len)

 	dprintk(4, "%p\n", av7110);

-	for (i = 0; i < len && i < 32; i++)
-	{
+	for (i = 0; i < len && i < 32; i++) {
 		if (i % 2 == 0)
 			cmd[(i / 2) + 2] = (u16)(buf[i]) << 8;
 		else
@@ -588,8 +586,7 @@ int av7110_fw_request(struct av7110 *av7110, u16 *request_buf,
 		printk(KERN_ERR "%s: GPMQOver\n", __func__);
 		mutex_unlock(&av7110->dcomlock);
 		return -1;
-	}
-	else if (stat & OSDQOver) {
+	} else if (stat & OSDQOver) {
 		printk(KERN_ERR "%s: OSDQOver\n", __func__);
 		mutex_unlock(&av7110->dcomlock);
 		return -1;
diff --git a/drivers/staging/media/av7110/av7110_hw.h b/drivers/staging/media/av7110/av7110_hw.h
index 3aff5db56..39488c2fc 100644
--- a/drivers/staging/media/av7110/av7110_hw.h
+++ b/drivers/staging/media/av7110/av7110_hw.h
@@ -14,15 +14,14 @@
 #define ARM_WAIT_SHAKE (HZ/5)
 #define ARM_WAIT_OSD (HZ)

-enum av7110_bootstate
-{
+enum av7110_bootstate {
 	BOOTSTATE_BUFFER_EMPTY	= 0,
 	BOOTSTATE_BUFFER_FULL	= 1,
 	BOOTSTATE_AV7110_BOOT_COMPLETE	= 2
 };

-enum av7110_type_rec_play_format
-{	RP_None,
+enum av7110_type_rec_play_format {
+	RP_None,
 	AudioPES,
 	AudioMp2,
 	AudioPCM,
@@ -30,8 +29,7 @@ enum av7110_type_rec_play_format
 	AV_PES
 };

-enum av7110_osd_palette_type
-{
+enum av7110_osd_palette_type {
 	NoPalet =  0,	   /* No palette */
 	Pal1Bit =  2,	   /* 2 colors for 1 Bit Palette    */
 	Pal2Bit =  4,	   /* 4 colors for 2 bit palette    */
@@ -50,8 +48,7 @@ enum av7110_osd_palette_type
 #define FB_ON	SAA7146_GPIO_OUTHI  /* FastBlank on  (RGB-Mode) */
 #define FB_LOOP	SAA7146_GPIO_INPUT  /* FastBlank loop-through (PC graphics ???) */

-enum av7110_video_output_mode
-{
+enum av7110_video_output_mode {
 	NO_OUT	     = 0,		/* disable analog output */
 	CVBS_RGB_OUT = 1,
 	CVBS_YC_OUT  = 2,
diff --git a/drivers/staging/media/av7110/av7110_ipack.c b/drivers/staging/media/av7110/av7110_ipack.c
index fc953db36..ac00bff44 100644
--- a/drivers/staging/media/av7110/av7110_ipack.c
+++ b/drivers/staging/media/av7110/av7110_ipack.c
@@ -80,8 +80,8 @@ static void send_ipack(struct ipack *p)
 		p->buf[7] = 0x00;
 		p->buf[8] = 0x00;
 		p->count = 9;
-		if (p->repack_subids && p->cid == PRIVATE_STREAM1
-		    && (streamid & 0xf8) == 0x80) {
+		if (p->repack_subids && p->cid == PRIVATE_STREAM1 &&
+		    (streamid & 0xf8) == 0x80) {
 			p->count += 4;
 			p->buf[9] = streamid;
 			p->buf[10] = (ac3_off >> 8) & 0xff;
@@ -144,8 +144,8 @@ int av7110_ipack_instant_repack(const u8 *buf, int count, struct ipack *p)

 	while (c < count && (p->mpeg == 0 ||
 			     (p->mpeg == 1 && p->found < 7) ||
-			     (p->mpeg == 2 && p->found < 9))
-	       &&  (p->found < 5 || !p->done)) {
+			     (p->mpeg == 2 && p->found < 9)) &&
+			     (p->found < 5 || !p->done)) {
 		switch (p->found) {
 		case 0:
 		case 1:
diff --git a/drivers/staging/media/av7110/av7110_v4l.c b/drivers/staging/media/av7110/av7110_v4l.c
index c494e940d..202a05561 100644
--- a/drivers/staging/media/av7110/av7110_v4l.c
+++ b/drivers/staging/media/av7110/av7110_v4l.c
@@ -729,13 +729,16 @@ int av7110_init_analog_module(struct av7110 *av7110)
 	} else {
 		u8 *i = saa7113_init_regs;

-		if ((av7110->dev->pci->subsystem_vendor == 0x110a) && (av7110->dev->pci->subsystem_device == 0x0000)) {
+		if ((av7110->dev->pci->subsystem_vendor == 0x110a) &&
+		    (av7110->dev->pci->subsystem_device == 0x0000)) {
 			/* Fujitsu/Siemens DVB-Cable */
 			av7110->analog_tuner_flags |= ANALOG_TUNER_VES1820;
-		} else if ((av7110->dev->pci->subsystem_vendor == 0x13c2) && (av7110->dev->pci->subsystem_device == 0x0002)) {
+		} else if ((av7110->dev->pci->subsystem_vendor == 0x13c2) &&
+			   (av7110->dev->pci->subsystem_device == 0x0002)) {
 			/* Hauppauge/TT DVB-C premium */
 			av7110->analog_tuner_flags |= ANALOG_TUNER_VES1820;
-		} else if ((av7110->dev->pci->subsystem_vendor == 0x13c2) && (av7110->dev->pci->subsystem_device == 0x000A)) {
+		} else if ((av7110->dev->pci->subsystem_vendor == 0x13c2) &&
+			   (av7110->dev->pci->subsystem_device == 0x000A)) {
 			/* Hauppauge/TT DVB-C premium */
 			av7110->analog_tuner_flags |= ANALOG_TUNER_STV0297;
 		}
@@ -912,8 +915,7 @@ static int std_callback(struct saa7146_dev *dev, struct saa7146_standard *std)
 	if (std->id & V4L2_STD_PAL) {
 		av7110->vidmode = AV7110_VIDEO_MODE_PAL;
 		av7110_set_vidmode(av7110, av7110->vidmode);
-	}
-	else if (std->id & V4L2_STD_NTSC) {
+	} else if (std->id & V4L2_STD_NTSC) {
 		av7110->vidmode = AV7110_VIDEO_MODE_NTSC;
 		av7110_set_vidmode(av7110, av7110->vidmode);
 	}
diff --git a/drivers/staging/media/av7110/dvb_filter.c b/drivers/staging/media/av7110/dvb_filter.c
index 4f1f92290..4c41682ff 100644
--- a/drivers/staging/media/av7110/dvb_filter.c
+++ b/drivers/staging/media/av7110/dvb_filter.c
@@ -6,17 +6,19 @@

 static u32 freq[4] = {480, 441, 320, 0};

-static unsigned int ac3_bitrates[32] =
-    {32,40,48,56,64,80,96,112,128,160,192,224,256,320,384,448,512,576,640,
-     0,0,0,0,0,0,0,0,0,0,0,0,0};
-
-static u32 ac3_frames[3][32] =
-    {{64,80,96,112,128,160,192,224,256,320,384,448,512,640,768,896,1024,
-      1152,1280,0,0,0,0,0,0,0,0,0,0,0,0,0},
-     {69,87,104,121,139,174,208,243,278,348,417,487,557,696,835,975,1114,
-      1253,1393,0,0,0,0,0,0,0,0,0,0,0,0,0},
-     {96,120,144,168,192,240,288,336,384,480,576,672,768,960,1152,1344,
-      1536,1728,1920,0,0,0,0,0,0,0,0,0,0,0,0,0}};
+static unsigned int ac3_bitrates[32] = {
+	32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320, 384, 448, 512, 576, 640,
+	 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
+};
+
+static u32 ac3_frames[3][32] = {
+	{64, 80, 96, 112, 128, 160, 192, 224, 256, 320, 384, 448, 512, 640, 768, 896, 1024,
+	 1152, 1280, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
+	{69, 87, 104, 121, 139, 174, 208, 243, 278, 348, 417, 487, 557, 696, 835, 975, 1114,
+	 1253, 1393, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
+	{96, 120, 144, 168, 192, 240, 288, 336, 384, 480, 576, 672, 768, 960, 1152, 1344,
+	 1536, 1728, 1920, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
+};

 int dvb_filter_get_ac3info(u8 *mbuf, int count, struct dvb_audio_info *ai, int pr)
 {
@@ -36,12 +38,14 @@ int dvb_filter_get_ac3info(u8 *mbuf, int count, struct dvb_audio_info *ai, int p
 		}
 	}

-	if (!found) return -1;
+	if (!found)
+		return -1;
 	if (pr)
 		printk(KERN_DEBUG "Audiostream: AC3");

 	ai->off = c;
-	if (c+5 >= count) return -1;
+	if (c + 5 >= count)
+		return -1;

 	ai->layer = 0;  // 0 for AC3
 	headr = mbuf+c+2;
@@ -59,7 +63,8 @@ int dvb_filter_get_ac3info(u8 *mbuf, int count, struct dvb_audio_info *ai, int p
 		printk(KERN_CONT "  Freq: %d Hz\n", (int) ai->frequency);

 	ai->framesize = ac3_frames[fr][frame >> 1];
-	if ((frame & 1) &&  (fr == 1)) ai->framesize++;
+	if ((frame & 1) && (fr == 1))
+		ai->framesize++;
 	ai->framesize = ai->framesize << 1;
 	if (pr)
 		printk(KERN_DEBUG "  Framesize %d\n", (int) ai->framesize);