diff --git a/drivers/staging/media/av7110/av7110.c b/drivers/staging/media/av7110/av7110.c
index a5a431c14..eb1dc64bc 100644
--- a/drivers/staging/media/av7110/av7110.c
+++ b/drivers/staging/media/av7110/av7110.c
@@ -429,7 +429,7 @@ static void debiirq(struct tasklet_struct *t)
 		break;

 	case DATA_DEBUG_MESSAGE:
-		((s8*)av7110->debi_virt)[Reserved_SIZE - 1] = 0;
+		((s8 *)av7110->debi_virt)[Reserved_SIZE - 1] = 0;
 		printk("%s\n", (s8 *) av7110->debi_virt);
 		xfer = RX_BUFF;
 		break;
@@ -1143,7 +1143,7 @@ static int dvb_get_stc(struct dmx_demux *demux, unsigned int num,

 static int av7110_set_tone(struct dvb_frontend *fe, enum fe_sec_tone_mode tone)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	switch (tone) {
 	case SEC_TONE_ON:
@@ -1157,18 +1157,18 @@ static int av7110_set_tone(struct dvb_frontend *fe, enum fe_sec_tone_mode tone)
 	}
 }

-static int av7110_diseqc_send_master_cmd(struct dvb_frontend* fe,
-					 struct dvb_diseqc_master_cmd* cmd)
+static int av7110_diseqc_send_master_cmd(struct dvb_frontend *fe,
+					 struct dvb_diseqc_master_cmd *cmd)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	return av7110_diseqc_send(av7110, cmd->msg_len, cmd->msg, -1);
 }

-static int av7110_diseqc_send_burst(struct dvb_frontend* fe,
+static int av7110_diseqc_send_burst(struct dvb_frontend *fe,
 				    enum fe_sec_mini_cmd minicmd)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	return av7110_diseqc_send(av7110, 0, NULL, minicmd);
 }
@@ -1440,7 +1440,7 @@ u8 i2c_readreg(struct av7110 *av7110, u8 id, u8 reg)
  ****************************************************************************/


-static int check_firmware(struct av7110* av7110)
+static int check_firmware(struct av7110 *av7110)
 {
 	u32 crc = 0, len = 0;
 	unsigned char *ptr;
@@ -1491,12 +1491,12 @@ static int check_firmware(struct av7110* av7110)
 	return 0;
 }

-static void put_firmware(struct av7110* av7110)
+static void put_firmware(struct av7110 *av7110)
 {
 	vfree(av7110->bin_fw);
 }

-static int get_firmware(struct av7110* av7110)
+static int get_firmware(struct av7110 *av7110)
 {
 	int ret;
 	const struct firmware *fw;
@@ -1540,7 +1540,7 @@ static int get_firmware(struct av7110* av7110)
 static int alps_bsrv2_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u8 pwr = 0;
 	u8 buf[4];
 	struct i2c_msg msg = { .addr = 0x61, .flags = 0, .buf = buf, .len = sizeof(buf) };
@@ -1583,7 +1583,7 @@ static struct ves1x93_config alps_bsrv2_config = {
 static int alps_tdbe2_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div;
 	u8 data[4];
 	struct i2c_msg msg = { .addr = 0x62, .flags = 0, .buf = data, .len = sizeof(data) };
@@ -1615,7 +1615,7 @@ static struct ves1820_config alps_tdbe2_config = {
 static int grundig_29504_451_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div;
 	u8 data[4];
 	struct i2c_msg msg = { .addr = 0x61, .flags = 0, .buf = data, .len = sizeof(data) };
@@ -1642,7 +1642,7 @@ static struct tda8083_config grundig_29504_451_config = {
 static int philips_cd1516_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div;
 	u32 f = p->frequency;
 	u8 data[4];
@@ -1674,7 +1674,7 @@ static struct ves1820_config philips_cd1516_config = {
 static int alps_tdlb7_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div, pwr;
 	u8 data[4];
 	struct i2c_msg msg = { .addr = 0x60, .flags = 0, .buf = data, .len = sizeof(data) };
@@ -1698,10 +1698,10 @@ static int alps_tdlb7_tuner_set_params(struct dvb_frontend *fe)
 	return 0;
 }

-static int alps_tdlb7_request_firmware(struct dvb_frontend* fe, const struct firmware **fw, char* name)
+static int alps_tdlb7_request_firmware(struct dvb_frontend *fe, const struct firmware **fw, char *name)
 {
 #if IS_ENABLED(CONFIG_DVB_SP8870)
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	return request_firmware(fw, name, &av7110->dev->pci->dev);
 #else
@@ -1812,7 +1812,7 @@ static u8 nexusca_stv0297_inittab[] = {
 static int nexusca_stv0297_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div;
 	u8 data[4];
 	struct i2c_msg msg = { .addr = 0x63, .flags = 0, .buf = data, .len = sizeof(data) };
@@ -1868,7 +1868,7 @@ static struct stv0297_config nexusca_stv0297_config = {
 static int grundig_29504_401_tuner_set_params(struct dvb_frontend *fe)
 {
 	struct dtv_frontend_properties *p = &fe->dtv_property_cache;
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;
 	u32 div;
 	u8 cfg, cpump, band_select;
 	u8 data[4];
@@ -1956,7 +1956,7 @@ static int av7110_fe_lock_fix(struct av7110 *av7110, enum fe_status status)

 static int av7110_fe_set_frontend(struct dvb_frontend *fe)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret)
@@ -1965,9 +1965,9 @@ static int av7110_fe_set_frontend(struct dvb_frontend *fe)
 	return ret;
 }

-static int av7110_fe_init(struct dvb_frontend* fe)
+static int av7110_fe_init(struct dvb_frontend *fe)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret)
@@ -1978,7 +1978,7 @@ static int av7110_fe_init(struct dvb_frontend* fe)
 static int av7110_fe_read_status(struct dvb_frontend *fe,
 				 enum fe_status *status)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	/* call the real implementation */
 	int ret = av7110->fe_read_status(fe, status);
@@ -1988,9 +1988,9 @@ static int av7110_fe_read_status(struct dvb_frontend *fe,
 	return ret;
 }

-static int av7110_fe_diseqc_reset_overload(struct dvb_frontend* fe)
+static int av7110_fe_diseqc_reset_overload(struct dvb_frontend *fe)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret)
@@ -1998,10 +1998,10 @@ static int av7110_fe_diseqc_reset_overload(struct dvb_frontend* fe)
 	return ret;
 }

-static int av7110_fe_diseqc_send_master_cmd(struct dvb_frontend* fe,
-					    struct dvb_diseqc_master_cmd* cmd)
+static int av7110_fe_diseqc_send_master_cmd(struct dvb_frontend *fe,
+					    struct dvb_diseqc_master_cmd *cmd)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret) {
@@ -2014,7 +2014,7 @@ static int av7110_fe_diseqc_send_master_cmd(struct dvb_frontend* fe,
 static int av7110_fe_diseqc_send_burst(struct dvb_frontend *fe,
 				       enum fe_sec_mini_cmd minicmd)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret) {
@@ -2027,7 +2027,7 @@ static int av7110_fe_diseqc_send_burst(struct dvb_frontend *fe,
 static int av7110_fe_set_tone(struct dvb_frontend *fe,
 			      enum fe_sec_tone_mode tone)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret) {
@@ -2040,7 +2040,7 @@ static int av7110_fe_set_tone(struct dvb_frontend *fe,
 static int av7110_fe_set_voltage(struct dvb_frontend *fe,
 				 enum fe_sec_voltage voltage)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret) {
@@ -2050,9 +2050,9 @@ static int av7110_fe_set_voltage(struct dvb_frontend *fe,
 	return ret;
 }

-static int av7110_fe_dishnetwork_send_legacy_command(struct dvb_frontend* fe, unsigned long cmd)
+static int av7110_fe_dishnetwork_send_legacy_command(struct dvb_frontend *fe, unsigned long cmd)
 {
-	struct av7110* av7110 = fe->dvb->priv;
+	struct av7110 *av7110 = fe->dvb->priv;

 	int ret = av7110_fe_lock_fix(av7110, 0);
 	if (!ret)
@@ -2060,7 +2060,7 @@ static int av7110_fe_dishnetwork_send_legacy_command(struct dvb_frontend* fe, un
 	return ret;
 }

-static void dvb_s_recover(struct av7110* av7110)
+static void dvb_s_recover(struct av7110 *av7110)
 {
 	av7110_fe_init(av7110->fe);

@@ -2077,7 +2077,7 @@ static void dvb_s_recover(struct av7110* av7110)
 	av7110_fe_set_frontend(av7110->fe);
 }

-static u8 read_pwm(struct av7110* av7110)
+static u8 read_pwm(struct av7110 *av7110)
 {
 	u8 b = 0xff;
 	u8 pwm;
@@ -2346,7 +2346,7 @@ static int frontend_init(struct av7110 *av7110)
  * The same behaviour of missing VSYNC can be duplicated on budget
  * cards, by setting DD1_INIT trigger mode 7 in 3rd nibble.
  */
-static int av7110_attach(struct saa7146_dev* dev,
+static int av7110_attach(struct saa7146_dev *dev,
 			 struct saa7146_pci_extension_data *pci_ext)
 {
 	const int length = TS_WIDTH * TS_HEIGHT;
@@ -2453,7 +2453,7 @@ static int av7110_attach(struct saa7146_dev* dev,
 		return -ENOMEM;
 	}

-	av7110->card_name = (char*) pci_ext->ext_priv;
+	av7110->card_name = (char *)pci_ext->ext_priv;
 	av7110->dev = dev;
 	dev->ext_priv = av7110;

@@ -2746,7 +2746,7 @@ static int av7110_attach(struct saa7146_dev* dev,
 	goto out;
 }

-static int av7110_detach(struct saa7146_dev* saa)
+static int av7110_detach(struct saa7146_dev *saa)
 {
 	struct av7110 *av7110 = saa->ext_priv;
 	dprintk(4, "%p\n", av7110);
@@ -2803,7 +2803,7 @@ static int av7110_detach(struct saa7146_dev* saa)
 }


-static void av7110_irq(struct saa7146_dev* dev, u32 *isr)
+static void av7110_irq(struct saa7146_dev *dev, u32 *isr)
 {
 	struct av7110 *av7110 = dev->ext_priv;

diff --git a/drivers/staging/media/av7110/av7110.h b/drivers/staging/media/av7110/av7110.h
index 809d938ae..e251f989e 100644
--- a/drivers/staging/media/av7110/av7110.h
+++ b/drivers/staging/media/av7110/av7110.h
@@ -260,19 +260,19 @@ struct av7110 {
 	unsigned char *bin_root;
 	unsigned long size_root;

-	struct dvb_frontend* fe;
+	struct dvb_frontend *fe;
 	enum fe_status fe_status;

 	struct mutex ioctl_mutex;

 	/* crash recovery */
-	void				(*recover)(struct av7110* av7110);
+	void				(*recover)(struct av7110 *av7110);
 	enum fe_sec_voltage		saved_voltage;
 	enum fe_sec_tone_mode		saved_tone;
 	struct dvb_diseqc_master_cmd	saved_master_cmd;
 	enum fe_sec_mini_cmd		saved_minicmd;

-	int (*fe_init)(struct dvb_frontend* fe);
+	int (*fe_init)(struct dvb_frontend *fe);
 	int (*fe_read_status)(struct dvb_frontend *fe, enum fe_status *status);
 	int (*fe_diseqc_reset_overload)(struct dvb_frontend *fe);
 	int (*fe_diseqc_send_master_cmd)(struct dvb_frontend *fe,
diff --git a/drivers/staging/media/av7110/av7110_ca.c b/drivers/staging/media/av7110/av7110_ca.c
index c1338e074..9ff5bd6f5 100644
--- a/drivers/staging/media/av7110/av7110_ca.c
+++ b/drivers/staging/media/av7110/av7110_ca.c
@@ -294,7 +294,7 @@ static int dvb_ca_ioctl(struct file *file, unsigned int cmd, void *parg)

 	case CA_SET_DESCR:
 	{
-		struct ca_descr *descr = (struct ca_descr*) parg;
+		struct ca_descr *descr = (struct ca_descr *)parg;

 		if (descr->index >= 16 || descr->parity > 1) {
 			mutex_unlock(&av7110->ioctl_mutex);
@@ -369,12 +369,12 @@ void av7110_ca_unregister(struct av7110 *av7110)
 	dvb_unregister_device(av7110->ca_dev);
 }

-int av7110_ca_init(struct av7110* av7110)
+int av7110_ca_init(struct av7110 *av7110)
 {
 	return ci_ll_init(&av7110->ci_rbuffer, &av7110->ci_wbuffer, 8192);
 }

-void av7110_ca_exit(struct av7110* av7110)
+void av7110_ca_exit(struct av7110 *av7110)
 {
 	ci_ll_release(&av7110->ci_rbuffer, &av7110->ci_wbuffer);
 }
diff --git a/drivers/staging/media/av7110/av7110_hw.c b/drivers/staging/media/av7110/av7110_hw.c
index a0be37717..714a4438b 100644
--- a/drivers/staging/media/av7110/av7110_hw.c
+++ b/drivers/staging/media/av7110/av7110_hw.c
@@ -318,7 +318,7 @@ int av7110_wait_msgstate(struct av7110 *av7110, u16 flags)
 	return 0;
 }

-static int __av7110_send_fw_cmd(struct av7110 *av7110, u16* buf, int length)
+static int __av7110_send_fw_cmd(struct av7110 *av7110, u16 *buf, int length)
 {
 	int i;
 	unsigned long start;
@@ -453,7 +453,7 @@ static int __av7110_send_fw_cmd(struct av7110 *av7110, u16* buf, int length)
 	return 0;
 }

-static int av7110_send_fw_cmd(struct av7110 *av7110, u16* buf, int length)
+static int av7110_send_fw_cmd(struct av7110 *av7110, u16 *buf, int length)
 {
 	int ret;

@@ -606,7 +606,7 @@ int av7110_fw_request(struct av7110 *av7110, u16 *request_buf,
 	return 0;
 }

-static int av7110_fw_query(struct av7110 *av7110, u16 tag, u16* buf, s16 length)
+static int av7110_fw_query(struct av7110 *av7110, u16 tag, u16 *buf, s16 length)
 {
 	int ret;
 	ret = av7110_fw_request(av7110, &tag, 0, buf, length);
@@ -851,7 +851,7 @@ static inline int WaitUntilBmpLoaded(struct av7110 *av7110)
 }

 static inline int LoadBitmap(struct av7110 *av7110,
-			     u16 dx, u16 dy, int inc, u8 __user * data)
+			     u16 dx, u16 dy, int inc, u8 __user *data)
 {
 	u16 format;
 	int bpp;
@@ -960,7 +960,7 @@ static int OSDSetColor(struct av7110 *av7110, u8 color, u8 r, u8 g, u8 b, u8 ble
 	return ret;
 }

-static int OSDSetPalette(struct av7110 *av7110, u32 __user * colors, u8 first, u8 last)
+static int OSDSetPalette(struct av7110 *av7110, u32 __user *colors, u8 first, u8 last)
 {
 	int i;
 	int length = last - first + 1;
@@ -986,7 +986,7 @@ static int OSDSetPalette(struct av7110 *av7110, u32 __user * colors, u8 first, u
 }

 static int OSDSetBlock(struct av7110 *av7110, int x0, int y0,
-		       int x1, int y1, int inc, u8 __user * data)
+		       int x1, int y1, int inc, u8 __user *data)
 {
 	uint w, h, bpp, bpl, size, lpb, bnum, brest;
 	int i;
diff --git a/drivers/staging/media/av7110/av7110_v4l.c b/drivers/staging/media/av7110/av7110_v4l.c
index ed2c60580..2c4707a60 100644
--- a/drivers/staging/media/av7110/av7110_v4l.c
+++ b/drivers/staging/media/av7110/av7110_v4l.c
@@ -175,7 +175,7 @@ static int ves1820_set_tv_freq(struct saa7146_dev *dev, u32 freq)

 static int stv0297_set_tv_freq(struct saa7146_dev *dev, u32 freq)
 {
-	struct av7110 *av7110 = (struct av7110*)dev->ext_priv;
+	struct av7110 *av7110 = (struct av7110 *)dev->ext_priv;
 	u32 div;
 	u8 data[4];

@@ -215,7 +215,7 @@ static const struct v4l2_audio msp3400_v4l2_audio = {

 static int av7110_dvb_c_switch(struct saa7146_dev *dev)
 {
-	struct av7110 *av7110 = (struct av7110*)dev->ext_priv;
+	struct av7110 *av7110 = (struct av7110 *)dev->ext_priv;
 	u16 adswitch;
 	int source, sync;

@@ -610,7 +610,7 @@ static int vidioc_s_fmt_sliced_vbi_out(struct file *file, void *fh,
 static ssize_t av7110_vbi_write(struct file *file, const char __user *data, size_t count, loff_t *ppos)
 {
 	struct saa7146_dev *dev = video_drvdata(file);
-	struct av7110 *av7110 = (struct av7110*) dev->ext_priv;
+	struct av7110 *av7110 = (struct av7110 *)dev->ext_priv;
 	struct v4l2_sliced_vbi_data d;
 	int rc;

@@ -795,7 +795,7 @@ int av7110_init_analog_module(struct av7110 *av7110)

 int av7110_init_v4l(struct av7110 *av7110)
 {
-	struct saa7146_dev* dev = av7110->dev;
+	struct saa7146_dev *dev = av7110->dev;
 	struct saa7146_ext_vv *vv_data;
 	int ret;

@@ -853,7 +853,7 @@ int av7110_init_v4l(struct av7110 *av7110)

 int av7110_exit_v4l(struct av7110 *av7110)
 {
-	struct saa7146_dev* dev = av7110->dev;
+	struct saa7146_dev *dev = av7110->dev;

 	saa7146_unregister_device(&av7110->v4l_dev, av7110->dev);
 	saa7146_unregister_device(&av7110->vbi_dev, av7110->dev);
@@ -909,9 +909,9 @@ static struct saa7146_standard dvb_standard[] = {
 	}
 };

-static int std_callback(struct saa7146_dev* dev, struct saa7146_standard *std)
+static int std_callback(struct saa7146_dev *dev, struct saa7146_standard *std)
 {
-	struct av7110 *av7110 = (struct av7110*) dev->ext_priv;
+	struct av7110 *av7110 = (struct av7110 *)dev->ext_priv;

 	if (std->id & V4L2_STD_PAL) {
 		av7110->vidmode = AV7110_VIDEO_MODE_PAL;